Package picard.sam

## Class BestMapqPrimaryAlignmentSelectionStrategy

- java.lang.Object
- - picard.sam.BestMapqPrimaryAlignmentSelectionStrategy

- All Implemented Interfaces:
    `PrimaryAlignmentSelectionStrategy`

      public class BestMapqPrimaryAlignmentSelectionStrategy
      extends Object
      implements PrimaryAlignmentSelectionStrategy

  This strategy was designed for TopHat output, but could be of general utility. It picks the alignment with best MAPQ. If paired-end, it is the alignment in which the sum of the MAPQs of both ends is the best. In case of ties, one is selected arbitrarily. This strategy expects pair-aware alignments, with the corresponding alignment for each mate of the pair correlated by HI (hit index) tag. If the aligner has set a pair of alignments as primary, this is used (assuming one of those alignments is not filtered out). Otherwise the alignment pair with best MapQ is selected.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BestMapqPrimaryAlignmentSelectionStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `pickPrimaryAlignment​(picard.sam.HitsForInsert hits)` | Primary alignment was filtered out.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BestMapqPrimaryAlignmentSelectionStrategy

          public BestMapqPrimaryAlignmentSelectionStrategy()

  - ### Method Detail

    - #### pickPrimaryAlignment

          public void pickPrimaryAlignment​(picard.sam.HitsForInsert hits)

      Primary alignment was filtered out. Need to select a new one.
      Specified by:
        `pickPrimaryAlignment` in interface `PrimaryAlignmentSelectionStrategy`